/*  
1. General
2. Header
3. Nav
4. Hero
5. About
6. Work
7. Contact 
*/

/* General */

:root {
    --blue: rgb(21, 79, 133)
}
* {
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    line-height: 1.4em;
    background-color: rgb(107,142,35, .3);
}

.container{
    width: 100%;
    margin: 0 auto;
    padding: 10px 10px;
}

.section-left {
    width: 15%;
}

.section-right {
    width: 85%;
    padding-left: 10px;
    padding-right: 20px;
    border-left: 4px solid var(--blue);
}

.section-title{
    flex: 0 0 20%;
    text-align: right;
    padding-right: 15px;
    font-size: 3vw;
    line-height: 1.1;
}



.page-section {
    display: flex;
    flex-wrap: wrap;
    align-items:stretch;
    flex-direction: row;
    margin: 25px 0;
    padding: 10px 0;
}



ul {
    list-style: none;
  }


/* Header */

#header{
    display: grid;
    background-color: #ffffff;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr;
    grid-template-areas:
    "nameTag"
    "portfolioTag"
    "navBar"
    ;
}


/* Nav */

#navBar{
    display: flex;
    grid-area: navBar;
    background-color: var(--blue);
    justify-content: space-evenly;
    align-items: right;
    padding: 2%;
}

.nav-item, 
.contact-link {
    cursor: pointer;
    text-decoration: none;
    display: flex;
    flex-direction: row;
    margin: 0px 5%;
    padding: 1%;
    color: white;
    border-bottom: 2px solid whitesmoke;
    padding-bottom: 0.3rem;
    
}


/* Hero */

#hero-banner{
    display: flex;
    size: 80vh;
    justify-content: flex-start;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-image: url(../images/JJ-7-edit.jpg);
    height: 300px;
   
}

.hero-name, 
.hero-subtitle, 
.work-item-text {
    color: whitesmoke;
    background-color: rgb(21, 79, 133, 0.7);
    max-width:fit-content;
    max-height: fit-content;
    text-decoration: none;
    
}


.hero-name {
    font-size: 5rem;
    font-size: 4em;
    padding: 1rem;
    align-self: flex-start;
}

.hero-subtitle{
    font-size: 3vw;
    align-self: flex-end ;
} 


/* About */

.about-content {
    display: flex;
    margin: 0px 5%;
    font-size: 2em;
    align-self: center;
    font-size: 1em;
    word-wrap: break-word;
    padding-top: 2em;
}


/* Work */

#workGrid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    
}

.work-grid-area {
    border: .5em solid var(--blue);
    padding: 0 0 20px 0;
    color: #ffffff;
    min-height: 150px;
    max-height: 150px;
    flex-basis: calc(50% - 1em);
    display: flex;
    align-items: flex-end;
    margin: 0.5em;
    text-decoration: none;
    background-blend-mode: soft-light;
    background-size: 150%;
    transition: all 0.5s;
    font-size: 0.9rem;
    z-index: 2;
}
.work-grid-area:hover {
    background-color: rgb(21, 79, 133)
}

.work-grid-area:first-child {
    min-height: 400px;
    flex-basis: 100%;
}

.work-item-text {
    color: whitesmoke;
    background-color: rgb(21, 79, 133, 0.8);
    max-width:fit-content;
}

#firstLink {
    grid-area: firstLink;
    background-image: url(../images/horiseon\ crop.png);
}

#secondLink {
    grid-area: secondLink;
    background-image: url(../images/screencapture-jakinlade-github-io-pre-work-study-guide-2022-12-05-22_07_26.png);
}

#thirdLink {
    grid-area: thirdLink;
    background-image: url(../images/Avatar-edit.jpeg);
}

#forthLink {
    grid-area: forthLink;
    background-image: url(../images/horiseon\ crop.png);
}

#fithLink {
    grid-area: fithLink;
    background-image: url(../images/horiseon\ crop.png);
}

/* Contact */

.contact-items {
    display: flex;
    justify-self: center;
    justify-content: flex-end;
    flex-direction: row;
    justify-content: space-evenly;
    padding: 2em;
    text-decoration: none;

    
}

.contact-link {
    cursor: pointer;
    text-decoration: none;
    margin: 0px 5%;
    padding: 1%;
    color: var(--blue);
    border-bottom: 3px solid var(--blue);
    padding-bottom: 0.3rem;
    font-weight: bold;
}

/* Media Queries */

@media only screen and (min-width: 980px) {

    #navBar {
        justify-content: flex-end;
       
    }

    .about-content {
        max-width: 60%;
    }

}

@media only screen and (max-width: 769px) {
    #workGrid {
        flex-direction: column;
        
}
    .page-section {
        flex-direction: column;
        padding: 25px;
    }
    .section-title {
        display:flex;
        justify-content: left;
        border-right: none;
        padding-left: 20px;
    }

    .section-right {
        width: 85%;
        padding-left: 10px;
        padding-right: 5px;
        border-left: none;
        border-top: 4px solid var(--blue);;
    }

    .hero-subtitle {
        flex-shrink: calc(20% - 1em);
    }

    .work-grid-area:first-child {
        min-height: 200px;
    }

    .about-content {
        flex-direction: column;
    }

    .contact-items {
        flex-direction: column;
    }
}



